import request from '@/utils/request'

// 获取店铺列表
export function getStoreList(params) {
  return request({
    url: '/shop/c/list',
    method: 'get',
    params
  })
}

// 查看可选的企业
export function getAllEnterprise(params) {
  return request({
    url: '/company/c/allList',
    method: 'get',
    params
  })
}

// 新增店铺
export function addShopStore(data) {
  return request({
    url: '/shop/add',
    method: 'post',
    data
  })
}

// 绑定企业
export function bindEnterprise(data) {
  return request({
    url: '/shop/bindCompany',
    method: 'put',
    data
  })
}

// 解除绑定的企业
export function unBindEnterprise(data) {
  return request({
    url: `/shop/unbindCompany/${data}`,
    method: 'put'
  })
}
